Get New Orders
http
GET /api/v3/dbw/orders/newBase URL: https://marketplace-api.wildberries.ru · Module: orders-dbw · Section: DBW Assembly Orders · Specification doc ↗
Returns a list of all new orders.
Request limit per one seller account for DBW methods:
- for getting and updating contact lists
- for getting and deleting label identifiers
- assembly orders
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | GetV3DbwOrdersNewResponse200 |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
429 | Too many requests | object |
Structure 200:
ordersOrderNewDBW[]— New assembly orders listaddressobject— Address of the buyer for deliveryfullAddressstring— Delivery addresslongitudenumber<float64>— Longitudelatitudenumber<float64>— Latitude
salePriceinteger<int64>— Seller price in the currency of sale, including seller discount, except the WB Club discount, multiplied by 100requiredMetastring[]— List of label identifiers available for the assembly order. Specifying the IMEI is required forSmartphonessubcategory,"subjectId":515commentstring— Buyer commentoptionsobject— Order optionsisB2bboolean— Indicator of a B2B sale: -false— not B2B sale -true— B2B sale
orderUidstring— Transaction ID for order grouping. Orders in the same buyer's cart will have the sameorderUidgroupIdstring<UUID>— Assembly order group ID. It unites assembly orders received at a single warehouse (warehouseId) as part of a single buyer transaction (orderUid)articlestring— Seller item numbercolorCodestring— Color code (for tinted items only)ridstring— Unique order ID. Note:ridcorresponds tosridin the responses of the methods: - Buyers Return Applications - Order Feed - Orders - Sales - Returns and Item Movement Report - Details for the Sales Reports by Report ID - Details for the Sales Reports by Period - Details for the Acquiring Expenses Reports by Report ID - Details for the Acquiring Expenses Reports by PeriodcreatedAtstring— Order creation dateskusstring[]— Item SKU arrayidinteger<int64>— Assembly order IDwarehouseIdinteger<int64>— Seller warehouse ID where the order was receivednmIdinteger<int64>— WB item numberchrtIdinteger<int64>— Item size ID in WB systemspriceinteger<int64>— The price in the currency of sale including all discounts, except WB Wallet discount, multiplied by 100. You can find a currency code in thecurrencyCode. Provided for informational purposes onlyconvertedPriceinteger<int64>— The price in the currency of the seller country including all discounts, except WB Wallet discount, multiplied by 100. Provided for informational purposes onlycurrencyCodeinteger<ISO 4217>— Sale currency codeconvertedCurrencyCodeinteger<ISO 4217>— Currency code of the seller countrycargoTypeinteger<int64>=1|2|3— Type of cargo: -1— small-sized items -2— over dimensional cargo (ODC) -3— dimensional cargo+ (CD+)isZeroOrderboolean— Indicator of an order for a item with zero inventory: -false— the order is made for a item with a non-zero inventory -true— the order is made for a item with zero inventory. Such an order can be canceled without a cancellation fee
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.orders_dbw import Configuration, ApiClient
from wb_api_client.orders_dbw.api import OrdersDbwApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersDbwApi(ApiClient(cfg))
result = api.get_v3_dbw_orders_new()
print(result)ts
import {
Configuration,
OrdersDbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-dbw";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersDbwApi(cfg);
const { data } = await api.getV3DbwOrdersNew();
console.log(data);go
import (
"context"
"fmt"
wbordersdbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_dbw"
)
cfg := wbordersdbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersdbw.NewAPIClient(cfg)
result, _, err := client.OrdersDbwAPI.GetV3DbwOrdersNew(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.orders_dbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_dbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_dbw.api.OrdersDbwApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersDbwApi api = new OrdersDbwApi(client);
System.out.println(api.getV3DbwOrdersNew());php
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Api\OrdersDbwApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersDbwApi(new Client(), $config);
print_r($api->getV3DbwOrdersNew());bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersDbwApi(Настройки);
Сообщить(Клиент.GetV3DbwOrdersNew().Тело);csharp
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersDbwApi(config);
Console.WriteLine(api.GetV3DbwOrdersNew());rust
use wb_api_client::orders_dbw::apis::{configuration::Configuration, orders_dbw_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_dbw_api::get_v3_dbw_orders_new(&cfg).await;
println!("{:#?}", result);
}